Summary:	SNMP proxy daemon
Name:		snmppd
Version:	0.5.1
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://bubble.nsys.by/
Source0:	http://bubble.nsys.by/projects/snmppd/%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Source2:	http://bubble.nsys.by/projects/libsplit/libsplit-0.2.tar.bz2
Patch0:		snmppd-0.5.1_v2.diff.bz2
Patch1:		snmppd-0.5.1-pidfile_location_fix.diff.bz2
Patch2:		snmppd-0.5.1-config_file_location_fix.diff.bz2
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
Requires:	net-snmp-mibs
Requires:	nagios
Requires:	nagios-plugins
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
snmppd is an SNMP proxy daemon that is designed to work with
Nagios. It loads MIBs upon startup, listens on a TCP socket for
SNMP GET requests, polls the specified host, and returns the value
to caller process. The caller process is usually the Nagios plugin
check_snmpp. 

%prep

%setup -q -a2
%patch0 -p1
%patch1 -p0
%patch2 -p0

bzcat %{SOURCE1} > snmppd.init

%build

pushd libsplit-0.2
%make C_FLAGS="%{optflags} -fPIC" libsplit.a
popd

export PROG_CFLAGS="%{optflags} -I`pwd`/libsplit-0.2 -L`pwd`/libsplit-0.2"
export SPLITTERLIBS="`pwd`/libsplit-0.2/libsplit.a"

%configure2_5x \
    --disable-more-warnings \
    --libdir=%{_libdir}/nagios/plugins \
    --libexecdir=%{_libdir}/nagios/plugins

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_localstatedir}/snmppd
install -d %{buildroot}/var/run/snmppd

install -m0755 snmppd.init %{buildroot}%{_initrddir}/snmppd

# clean up
rm -rf %{buildroot}%{_includedir}

%pre
%_pre_useradd snmppd %{_localstatedir}/snmppd /bin/sh

%post
%_post_service snmppd

%preun
%_preun_service snmppd

%postun
%_postun_userdel snmppd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/snmppd.conf
%attr(755,root,root) %{_initrddir}/snmppd
%{_sbindir}/snmppd
%{_libdir}/nagios/plugins/check_snmpp
%attr(0755,snmppd,snmppd) %dir %{_localstatedir}/snmppd
%attr(0755,snmppd,snmppd) %dir /var/run/snmppd

%changelog
* Fri Aug 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-1mdk
- 0.5.1
- added P0 and S2 to make it compile
- added P1 to fix the pid file location
- added P2 to fix the config file location
- fix deps
- use the %%mkrel macro

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5
- fix deps, use macros, misc spec file fixes
- drop P0, it's included

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.1-1mdk
- initial cooker contrib
- added S1 and P0
